path: /build/build/ninja-dev-util-1.12.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -emacs -test -vim-syntax" emerge dev-util/ninja -pv -t
  - |
    USE="-doc -emacs -test -vim-syntax" emerge -j ${JOBS} --nodeps dev-util/ninja
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/ninja && luet-portage --dir
    /pkgdir/ninja dev-util/ninja
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:fe504f1fdf5fdb8b18f693d9b1ebf6abaf808bf0729abdf6f4c63a31550b32eb
  package:
    name: ninja
    version: 1.12.1
    category: dev-util
    use_flags:
    - -doc
    - -emacs
    - -test
    - -vim-syntax
    requires:
    - name: re2c
      version: '>=0'
      category: dev-util
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A small build system similar to make
    uri:
    - https://ninja-build.org/
    license: Apache-2.0
    buildtimestamp: 2025-07-31 19:31:48.039155694 +0000 UTC m=+2424.367541428
    labels:
      BDEPEND: '|| ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10
        ) dev-util/re2c doc? ( app-text/asciidoc app-doc/doxygen dev-libs/libxslt
        )'
      IUSE: doc emacs vim-syntax
      RDEPEND: emacs? ( virtual/emacs ) vim-syntax? ( || ( app-editors/vim app-editors/gvim
        ) )
      emerge.packages: dev-util/ninja
      kit: dev-kit
      original.package.name: dev-util/ninja
      original.package.slot: "0"
      original.package.version: 1.12.1
    treedir: /build/packages
  package_dir: /pkgdir/ninja
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: bb510fa25cd78a184c46edf1d908831e8a9af057fbb5f14c2052406dc970348c
compressiontype: zstd
files:
- usr/bin/ninja
- usr/share/bash-completion/completions/ninja
- usr/share/doc/ninja-1.12.1/README.md.bz2
- usr/share/zsh/site-functions/_ninja
- var/db/pkg/dev-util/ninja-1.12.1/BDEPEND
- var/db/pkg/dev-util/ninja-1.12.1/BUILD_TIME
- var/db/pkg/dev-util/ninja-1.12.1/CATEGORY
- var/db/pkg/dev-util/ninja-1.12.1/CBUILD
- var/db/pkg/dev-util/ninja-1.12.1/CFLAGS
- var/db/pkg/dev-util/ninja-1.12.1/CHOST
- var/db/pkg/dev-util/ninja-1.12.1/CONTENTS
- var/db/pkg/dev-util/ninja-1.12.1/COUNTER
- var/db/pkg/dev-util/ninja-1.12.1/CTARGET
- var/db/pkg/dev-util/ninja-1.12.1/CXX
- var/db/pkg/dev-util/ninja-1.12.1/CXXFLAGS
- var/db/pkg/dev-util/ninja-1.12.1/DEFINED_PHASES
- var/db/pkg/dev-util/ninja-1.12.1/DESCRIPTION
- var/db/pkg/dev-util/ninja-1.12.1/EAPI
- var/db/pkg/dev-util/ninja-1.12.1/FEATURES
- var/db/pkg/dev-util/ninja-1.12.1/HOMEPAGE
- var/db/pkg/dev-util/ninja-1.12.1/INHERITED
- var/db/pkg/dev-util/ninja-1.12.1/IUSE
- var/db/pkg/dev-util/ninja-1.12.1/IUSE_EFFECTIVE
- var/db/pkg/dev-util/ninja-1.12.1/KEYWORDS
- var/db/pkg/dev-util/ninja-1.12.1/LDFLAGS
- var/db/pkg/dev-util/ninja-1.12.1/LICENSE
- var/db/pkg/dev-util/ninja-1.12.1/NEEDED
- var/db/pkg/dev-util/ninja-1.12.1/NEEDED.ELF.2
- var/db/pkg/dev-util/ninja-1.12.1/PF
- var/db/pkg/dev-util/ninja-1.12.1/REQUIRES
- var/db/pkg/dev-util/ninja-1.12.1/SIZE
- var/db/pkg/dev-util/ninja-1.12.1/SLOT
- var/db/pkg/dev-util/ninja-1.12.1/USE
- var/db/pkg/dev-util/ninja-1.12.1/environment.bz2
- var/db/pkg/dev-util/ninja-1.12.1/ninja-1.12.1.ebuild
- var/db/pkg/dev-util/ninja-1.12.1/repository
package_cacheimage: ""
runtime:
  name: ninja
  version: 1.12.1
  category: dev-util
  use_flags:
  - -doc
  - -emacs
  - -test
  - -vim-syntax
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A small build system similar to make
  uri:
  - https://ninja-build.org/
  license: Apache-2.0
  labels:
    BDEPEND: '|| ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10
      ) dev-util/re2c doc? ( app-text/asciidoc app-doc/doxygen dev-libs/libxslt )'
    IUSE: doc emacs vim-syntax
    RDEPEND: emacs? ( virtual/emacs ) vim-syntax? ( || ( app-editors/vim app-editors/gvim
      ) )
    emerge.packages: dev-util/ninja
    kit: dev-kit
    original.package.name: dev-util/ninja
    original.package.slot: "0"
    original.package.version: 1.12.1
